TwirlCompile (Gradle API 2.14.1)

org.gradle.play.tasks

## Class TwirlCompile

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.play.tasks.TwirlCompile

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, PatternFilterable, org.gradle.util.Configurable<Task>

      @Incubating
      public class TwirlCompile
      extends SourceTask

  Task for compiling Twirl templates into Scala code.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.api.tasks.SourceTask

      `source`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TwirlCompile()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TwirlImports` | `getDefaultImports()` Returns the default imports that will be used when compiling templates.
    `Object` | `getDependencyNotation()`
    `BaseForkOptions` | `getForkOptions()` fork options for the twirl compiler.
    `File` | `getOutputDirectory()` Returns the directory to generate the parser source files into.
    `PlayToolChain` | `getToolChain()` Returns the tool chain that will be used to compile the twirl source.
    `void` | `setDefaultImports(TwirlImports defaultImports)` Sets the default imports to be used when compiling templates.
    `void` | `setOutputDirectory(File outputDirectory)` Specifies the directory to generate the parser source files into.
    `void` | `setPlatform(PlayPlatform platform)`
    `void` | `setToolChain(PlayToolChain toolChain)` Sets the tool chain that will be used to compile the twirl source.

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setName, setOnlyIf, setOnlyIf, setProject, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TwirlCompile

          public TwirlCompile()

  - ### Method Detail

    - #### getForkOptions

          public BaseForkOptions getForkOptions()

      fork options for the twirl compiler.

    - #### getOutputDirectory

          @OutputDirectory
          public File getOutputDirectory()

      Returns the directory to generate the parser source files into.
      Returns:
        The output directory.

    - #### getDependencyNotation

          @Input
          public Object getDependencyNotation()

    - #### setOutputDirectory

          public void setOutputDirectory(File outputDirectory)

      Specifies the directory to generate the parser source files into.
      Parameters:
        `outputDirectory` - The output directory. Must not be null.

    - #### getDefaultImports

          public TwirlImports getDefaultImports()

      Returns the default imports that will be used when compiling templates.
      Returns:
        The imports that will be used.

    - #### setDefaultImports

          public void setDefaultImports(TwirlImports defaultImports)

      Sets the default imports to be used when compiling templates.
      Parameters:
        `defaultImports` - The imports to be used.

    - #### setPlatform

          public void setPlatform(PlayPlatform platform)

    - #### getToolChain

          @Inject
          public PlayToolChain getToolChain()

      Returns the tool chain that will be used to compile the twirl source.
      Returns:
        The tool chain.

    - #### setToolChain

          public void setToolChain(PlayToolChain toolChain)

      Sets the tool chain that will be used to compile the twirl source.
      Parameters:
        `toolChain` - The tool chain.